Retrieve transaction

View as MarkdownOpen in Claude
Use this method to retrieve information about a transaction. **Note:** To retrieve a transaction, you need its transactionId. If you don't have the transactionId, use our [List Transactions](https://docs.payroc.com/api/schema/reporting/settlement/list-transactions) method to search for the transaction. Our gateway returns the following information about the transaction: - Merchant and processing account that ran the transaction. - Transaction type, date, amount, and the payment method that the customer used. - Batch that contains the transaction, and authorization details for the transaction. - Processor that settled the transaction and the ACH deposit containing the transaction.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

transactionIdintegerRequired
Unique identifier of the transaction.

Response

Successful request. Returns the requested transaction.
transactionIdinteger or null
Unique identifier that we assigned to the transaction.
typeenum
Indicates the type of transaction. The value is one of the following: - `capture` - Transaction is a sale. - `return` - Transaction is a refund.
Allowed values:
datedate

Date of the transaction. The format of this value is YYYY-MM-DD.

amountinteger
Transaction amount. We return the value in the currency's lowest denomination, for example, cents.
entryMethodenum
Indicates how the merchant received the payment details.
createdDatedate

Date that we received the transaction. The format of this value is YYYY-MM-DD.

lastModifiedDatedate

Date that the transaction was last changed. The format of this value is YYYY-MM-DD.

statusenum
Indicates the status of the transaction. The value is one of the following: - `fullSuspense` – Merchant ran the transaction while their account was in full suspense. - `heldAudited` – We have moved a transaction from fullSuspense and placed it on hold. - `heldReleasedAudited` – We audited and released the transaction that we had previously held. - `holdForSettlement30Days` - We are holding the transaction for a maximum of 30 days. - `holdForSettlementDuplicate` - We held the transaction because the transaction may be a duplicate. - `holdLongTerm` - We are holding the transaction for an extended period. - `paid` – We have paid the transaction funds to the merchant. - `paidByThirdParty` - A third party has paid the transaction funds to the merchant. - `partialRelease` – We partially released the transaction funds. - `pull` - We pulled the transaction, and the merchant does not receive funds for the transaction. - `release` - We released the transaction that we previously held. - `new` – We have prepared the funds from the transaction to send to the merchant. - `held` – We held the transaction. - `unknown` – No transaction status available.
cashbackAmountinteger
Cashback amount. We return the value in the currency's lowest denomination, for example, cents.
interchangeobject
Object that contains information about the interchange fees for the transaction.
currencystring
Currency of the transaction. The value for the currency follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.
merchantobject
Object that contains information about the merchant.
settledobject
Object that contains information about the settlement.
batchobject or null
Object that contains information about the batch. If we can't match a dispute to a batch, we don't return 'batch' object.
cardobject
Object that contains information about the card.
authorizationobject
Object that contains information about the authorization.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
500
Internal Server Error